Bug 134873 - what this address in /etc/ntp.conf refers to?
what this address in /etc/ntp.conf refers to?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 17:08 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 11:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-10-06 17:08:14 EDT
Description of problem:

In /etc/ntp.conf there is the following:

# Undisciplined Local Clock. This is a fake driver ...
.......
server 127.127.1.0
fudge   127.127.1.0 stratum 10  

but an address of loopback is 127.0.0.1 and 127.127.1.0 does
not seem to refer to anything which exists.  It is indeed the
case that documentation says something about "Reference Clock
Drivers" with addresses in a form of 127.127.t.u but if
this is a convention resolved internally then why a firewall
code opens a hole for it?

I am possibly missing something here but a trip to documentation
did not leave me much wiser.
 
Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-2
Comment 1 Harald Hoyer 2004-10-18 11:31:05 EDT
no more firewall opening code
127.x.x.x filtered..

Note You need to log in before you can comment on or make changes to this bug.